table{
    width: 100%;
}

.inner-navigation{
    padding: 15px 5px;
}








table {
    width: 100%;
  }
  
  tr.example-detail-row {
    height: 0;
  }
  
  tr.example-element-row:not(.example-expanded-row):hover {
    background: whitesmoke;
  }
  
  tr.example-element-row:not(.example-expanded-row):active {
    background: #efefef;
  }
  
  .example-element-row td {
    border-bottom-width: 0;
  }
  
  .example-element-detail {
    overflow: hidden;
    display: flex;
  }
  
  .example-element-diagram {
    min-width: 80px;
    border: 2px solid black;
    padding: 8px;
    font-weight: lighter;
    margin: 8px 0;
    height: 104px;
  }
  
  .example-element-symbol {
    font-weight: bold;
    font-size: 40px;
    line-height: normal;
  }
  
  .example-element-description {
    padding: 16px;
  }
  
  .example-element-description-attribution {
    opacity: 0.5;
  }

  ::ng-deep .mat-row.cdk-row.example-element-row {

}


::ng-deep th.mat-header-cell:first-of-type, td.mat-cell:first-of-type, td.mat-footer-cell:first-of-type {
    padding-left:0;
}

::ng-deep .mat-cell.cdk-cell.cdk-column-name {
    padding-left: 24px !important;
}

::ng-deep .mat-column-version_id {
    padding-left: 24px !important;
}
::ng-deep .mat-column-Version-Id {
    padding-left: 24px !important;
}

.service-version-table{
    background: #f0f0f0;
}

.inner-table-header{
    background: #e6e6e6;
    border: 1px solid #d9d9d9;
    height: 35px;
}

::ng-deep th.mat-header-cell:last-of-type, td.mat-cell:last-of-type, td.mat-footer-cell:last-of-type {
    padding-right: 0px;
}
::ng-deep .mat-header-cell.cdk-header-cell.cdk-column-name {
  padding-left: 24px;
}

::ng-deep .mat-footer-cell.cdk-footer-cell {
  padding-left: 24px !important;
  padding: 15px;
      padding-right: 15px;
      padding-left: 15px;
      .add-version{
          font-weight: 300;
          font-size: 17px;
          padding-left: 15px;
        
      }
}

::ng-deep .mat-row.cdk-row.example-element-row {
  cursor: pointer;
}

::ng-deep .cdk-column-lifecycle {
  min-width: 70px;
}
::ng-deep .inner-table-row,.example-element-row{
  .tab-btns{
    
      .mat-raised-button{
        min-width: 40px;
        line-height: 30px;
        padding: 0 10px
      }
    
  }
  &:hover{
      .tab-btns {
          display: flex !important;
      }
  }
}